package com.ruoyi.project.training.elearn.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 在线考试对象 t_el_paper
 *
 * @author ssy
 * @date 2024-05-29
 */
public class TElPaper extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long paperId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    private String nickName;

    /** 员工编号 */
    @Excel(name = "员工编号")
    private String staffId;

    /** 考试id */
    @Excel(name = "考试id")
    private Long examId;

    /** 考试标题 */
    @Excel(name = "考试标题")
    private String title;

    /** 考试时长 */
    @Excel(name = "考试时长")
    private Long totalTime;

    /** 用户时长 */
    @Excel(name = "用户时长")
    private Long userTime;

    /** 试卷总分 */
    @Excel(name = "试卷总分")
    private Long totalScore;

    /** 及格分 */
    @Excel(name = "及格分")
    private Long qualifyScore;

    /** 客观分 */
    @Excel(name = "客观分")
    private Long objScore;

    /** 主观分 */
    @Excel(name = "主观分")
    private Long subjScore;

    /** 用户得分 */
    @Excel(name = "用户得分")
    private Long userScore;

    /** 是否包含简答题 */
    @Excel(name = "是否包含简答题")
    private Long hasSaq;

    /** 试卷状态 */
    @Excel(name = "试卷状态")
    private Long state;

    /** 截止时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "截止时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    public String getStaffId() {
        return staffId;
    }

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private List<TElPaperQu> radioList;

    private List<TElPaperQu> multiList;

    private List<TElPaperQu> judgeList;

    private List<TElPaperQu> quList;

    private Long leftSeconds;

    public void setPaperId(Long paperId)
    {
        this.paperId = paperId;
    }

    public Long getPaperId()
    {
        return paperId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public void setExamId(Long examId)
    {
        this.examId = examId;
    }

    public Long getExamId()
    {
        return examId;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setTotalTime(Long totalTime)
    {
        this.totalTime = totalTime;
    }

    public Long getTotalTime()
    {
        return totalTime;
    }
    public void setUserTime(Long userTime)
    {
        this.userTime = userTime;
    }

    public Long getUserTime()
    {
        return userTime;
    }
    public void setTotalScore(Long totalScore)
    {
        this.totalScore = totalScore;
    }

    public Long getTotalScore()
    {
        return totalScore;
    }
    public void setQualifyScore(Long qualifyScore)
    {
        this.qualifyScore = qualifyScore;
    }

    public Long getQualifyScore()
    {
        return qualifyScore;
    }
    public void setObjScore(Long objScore)
    {
        this.objScore = objScore;
    }

    public Long getObjScore()
    {
        return objScore;
    }
    public void setSubjScore(Long subjScore)
    {
        this.subjScore = subjScore;
    }

    public Long getSubjScore()
    {
        return subjScore;
    }
    public void setUserScore(Long userScore)
    {
        this.userScore = userScore;
    }

    public Long getUserScore()
    {
        return userScore;
    }
    public void setHasSaq(Long hasSaq)
    {
        this.hasSaq = hasSaq;
    }

    public Long getHasSaq()
    {
        return hasSaq;
    }
    public void setState(Long state)
    {
        this.state = state;
    }

    public Long getState()
    {
        return state;
    }
    public void setLimitTime(Date limitTime)
    {
        this.limitTime = limitTime;
    }

    public Date getLimitTime()
    {
        return limitTime;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public List<TElPaperQu> getRadioList() {
        return radioList;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public void setRadioList(List<TElPaperQu> radioList) {
        this.radioList = radioList;
    }

    public List<TElPaperQu> getMultiList() {
        return multiList;
    }

    public void setMultiList(List<TElPaperQu> multiList) {
        this.multiList = multiList;
    }

    public List<TElPaperQu> getJudgeList() {
        return judgeList;
    }

    public void setJudgeList(List<TElPaperQu> judgeList) {
        this.judgeList = judgeList;
    }

    public Long getLeftSeconds() {
        return leftSeconds;
    }

    public void setLeftSeconds(Long leftSeconds) {
        this.leftSeconds = leftSeconds;
    }

    public List<TElPaperQu> getQuList() {
        return quList;
    }

    public void setQuList(List<TElPaperQu> quList) {
        this.quList = quList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("paperId", getPaperId())
            .append("userId", getUserId())
            .append("examId", getExamId())
            .append("title", getTitle())
            .append("totalTime", getTotalTime())
            .append("userTime", getUserTime())
            .append("totalScore", getTotalScore())
            .append("qualifyScore", getQualifyScore())
            .append("objScore", getObjScore())
            .append("subjScore", getSubjScore())
            .append("userScore", getUserScore())
            .append("hasSaq", getHasSaq())
            .append("state", getState())
            .append("limitTime", getLimitTime())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
